﻿// ---------------------------------------------------------------------------
// HMExcel-Demoprogramm, Tilman Küpper (tilman.kuepper@hm.edu), 2019-09-02,
// weitere Details unter https://kuepper.userweb.mwn.de/software/hmexcel.pdf
// ---------------------------------------------------------------------------

#include <stdio.h>
#include <stdlib.h>
#include "xlauto.h"

int main(void)
{
    // Leeres Excel starten und am Bildschirm anzeigen
    printf("Excel wird gestartet...\n");
    int ok = XL_Connect(NULL, XL_SHOW_WINDOW);
    if(ok != XL_OK)
    {
        printf("Fehler beim Starten von Excel!\n");
        exit(EXIT_FAILURE);
    }

    // Einmaleins-Tabelle berechnen und nach Excel übertragen
    printf("Daten werden nach Excel gesendet...\n");
    int row, col;
    for(row = 1; row < 11; ++row)
        for(col = 1; col < 11; ++col)
            XL_SetInteger(row, col, row * col);

    // Text in Zelle B12 ausgeben
    XL_SetString(12, 2, "Excel-Demoprogramm");

    // Verbindung zu Excel beenden, Excel bleibt weiter geöffnet
    printf("Verbindung zu Excel wird beendet.\n");
    XL_Disconnect(XL_STAY_OPEN);
    return 0;
}
